<?php

namespace Luticate\Utils;

abstract class LuDbo implements \JsonSerializable {
    /**
     * @return string
     */
    public function __toString()
    {
        return json_encode($this);
    }

    /**
     * @param $newClass LuDbo
     * @return LuDbo
     */
    public function castAs($newClass) {
        $obj = new $newClass;
        foreach (get_object_vars($this) as $key => $name) {
            $obj->$key = $name;
        }
        return $obj;
    }
}